Hello, supermj767 here, and I’m sure a lot of you have heard of a critical bug that has infected Minecraft.  It’s true, it exists and it is very real. But good news, this post is to show you how to avoid the issue so that you do not get hacked by Creepers!  If you use a different 3rd party launcher other than the official game client, I have also researched a few of the most popular ones.  If you do not know what that means, then you probably just use the plain old official game client and do not need to worry about any of those.  Just follow the recommendations under Official Game Client.  

MAKE SURE TO CLOSE ALL MINECRAFT CLIENTS AND LAUNCHERS BEFORE YOU CONTINUE

About the bug :

There isn’t much information about it, only that it affects Log4J2 (a necessary java coding tool) it mostly affects chat, which includes Minecraft and other programs that use it.

OFFICIAL GAME CLIENT :

If you play Minecraft: Java Edition, but aren’t hosting your own server, you will need to take the following steps: Close all running instances of the game and the Minecraft Launcher. Start the Launcher again – the patched version will download automatically. 

FORGE CLIENT : (this does not include the mod loader.)

I expect them to have more versions with the fix later but currently these are the only versions (as of the time of typing this) that have a fix for the bug.

– 1.18-38.0.17

– 1.17.1-37.1.1

– 1.16.5-36.2.20

– 1.15.2-31.2.56

– 1.14.4-28.2.25

– 1.13.2-25.0.222

– 1.12.2-14.23.5.2857

Overall I think you should be careful with the forge client, it is unclear as to whether or not they have a very good fix for it.

FABRIC INSTALLER : 

This was effected as well but the fix has been made to versions:

0.12.10

0.12.11 (only versions as of the time of writing)

These are fabric versions, not game versions, all of the game versions should be fine as long as it uses only the listed versions of the safe fabric version.

Optifine: 

Using the mod itself on an unmodified and updated forge or fabric modloader version should be fine but don’t install the client for it because it is unclear as to whether or not the optifine client has been patched.

MultiMC:

It has been posted on MultiMC’s website that a patch has been made to the latest version of it, as long as it is up to date you should be fine, but make sure to launch Minecraft on online mode (not offline mode) for it to properly apply the bug fix, all forge and fabric versions should be fine but it is suggested to not use any versions below 1.12.2.

Badlion Client : 

So far there doesn’t seem to be any fixes for this, I don’t suggest using it because it uses extensive use of chat features and mods that have most likely been affected by the bug.

Technic Launcher :

This has loads of different Minecraft forge and fabric client installations and they are controlled by the people who create and own each individual modpack in the launcher itself, you have no valid control over it unless it’s a modpack you created and own, so it is not safe to use Technic Launcher while the bug is present.

TLauncher :

At the moment, no fix has been made, don’t use it for now.

Curseforge Launcher :

No clear fix currently.

GDLauncher :

I have almost no knowledge about this launcher but it appears they have fixed the bug, make sure you’ve reinstalled it though, to make sure it applies all of the changes.

SKrafty has been patched (server side) so you shouldn’t have any problems while playing there. 🙂

{This} (Official Minecraft website) contains useful information about the bug and fixes as well, I suggest taking a look at that for additional information about troubleshooting.

Disclaimer : if some information seems to be false and you find an issue, we are not responsible for anything that may happen to your computer or Minecraft installation, program, or launcher, everything here is to help you find your way through the confusion of the problem.

Forgot Password
Enter your email address or username and we’ll send you instructions to reset your password.